> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exam Type Stats

> Returns aggregated statistics for exam types for the next 10 days.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/reports/aggregatedStats
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/reports/aggregatedStats:
    get:
      tags:
        - Reports
      summary: Exam Type Stats
      description: Returns aggregated statistics for exam types for the next 10 days.
      operationId: getV1InstallsInstallsidReportsAggregatedstats
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AggregatedStatsReportResponse'
components:
  schemas:
    AggregatedStatsReportResponse:
      type: object
      properties:
        results:
          $ref: '#/components/schemas/Model20'
    Model20:
      type: array
      items:
        $ref: '#/components/schemas/AggregatedStatsItem'
    AggregatedStatsItem:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/data'
    data:
      type: object
      nullable: true
      properties:
        date:
          type: string
          nullable: true
        ad-hoc:
          type: number
          nullable: true
        b-virtual:
          type: number
          nullable: true
        instructor-as-proctor:
          type: number
          nullable: true
        messaging:
          type: number
          nullable: true
        register-blast:
          type: number
          nullable: true
        proctoru:
          type: number
          nullable: true
        examity:
          type: number
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````